## python-senlinclient 0.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel>=1.3 # BSD
pbr>=1.6 # Apache-2.0
cliff!=1.16.0,>=1.15.0 # Apache-2.0
PrettyTable<0.8,>=0.7 # BSD
openstacksdk>=0.7.4 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
python-heatclient>=0.6.0 # Apache-2.0
python-openstackclient>=2.1.0 # Apache-2.0
PyYAML>=3.1.0 # MIT
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
python-senlinclient (0.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 16:48:25 +0000

python-senlinclient (0.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2016 13:46:26 +0100

python-senlinclient (0.3.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align requirements with upstream, add git for sphinx.

  [ Corey Bryant ]
  * d/control: Update uploaders.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * Standards-Version: 3.9.7.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 08:14:02 +0000

python-senlinclient (0.2.1-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align requirements with upstream.

  [ Thomas Goirand ]
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 Jan 2016 12:09:42 +0000

python-senlinclient (0.1.8-1) unstable; urgency=medium

  * Initial release. (Closes: #807405)

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Dec 2015 14:28:25 +0100

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/python-senlinclient.git
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-senlinclient; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-senlinclient; \
	done
	rm -rf $(CURDIR)/debian/python*-senlinclient/usr/lib/python*/dist-packages/*.pth
	mv $(CURDIR)/debian/python-senlinclient/usr/bin/senlin $(CURDIR)/debian/python-senlinclient/usr/bin/python2-senlin
	mv $(CURDIR)/debian/python3-senlinclient/usr/bin/senlin $(CURDIR)/debian/python3-senlinclient/usr/bin/python3-senlin

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'senlinclient\.tests\.unit\.(?!(.*test_shell.ShellTest.test_do_add_profiler_args.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-senlinclient-doc/usr/share/doc/python-senlinclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/python-senlinclient/tags .*/(\d[\d\.]+)\.tar\.gz

## python-senlinclient 1.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel>=2.3.4 # BSD
pbr>=1.6 # Apache-2.0
PrettyTable<0.8,>=0.7 # BSD
openstacksdk>=0.9.4 # Apache-2.0
osc-lib>=1.0.2 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
python-heatclient>=1.4.0 # Apache-2.0
PyYAML>=3.1.0 # MIT
requests>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
python-senlinclient (1.0.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * Defines RES_OPTIONS=attempts:0 to avoid network access (Closes: #840731).

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Dec 2016 11:29:42 +0100

python-senlinclient (1.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:15:18 +0200

python-senlinclient (1.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2016 09:25:36 +0200

python-senlinclient (0.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{test,install} from openstack-pkg-tools >= 52~.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jul 2016 10:46:38 +0200

python-senlinclient (0.4.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT with default value
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch for Newton.

  [ Thomas Goirand ]
  * Added Corey Bryant <corey.bryant@canonical.com> as Uploaders:.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Jun 2016 10:30:09 +0000

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export RES_OPTIONS=attempts:0

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'senlinclient\.tests\.unit\.(?!(.*test_shell.ShellTest.test_do_add_profiler_args.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-senlinclient-doc/usr/share/doc/python-senlinclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-senlinclient 1.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel>=2.3.4 # BSD
pbr>=1.8 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
keystoneauth1>=2.18.0 # Apache-2.0
openstacksdk!=0.9.11,!=0.9.12,>=0.9.10 # Apache-2.0
osc-lib>=1.2.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
python-heatclient>=1.6.1 # Apache-2.0
PyYAML>=3.10.0 # MIT
requests!=2.12.2,>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-senlinclient.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-senlinclient.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-senlinclient"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-senlinclient"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-senlinclient (1.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- David Homolka <david.homolka@ultimum.io>  Tue, 22 Aug 2017 10:30:00 +0200

=== debian/control ===
Source: python-senlinclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           David Della Vecchia <ddv@canonical.com>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 10),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: git,
                     python-babel (>= 2.3.4),
                     python-coverage (>= 4.0),
                     python-fixtures (>= 3.0.0),
                     python-hacking (>= 0.10.0),
                     python-heatclient (>= 1.6.1),
                     python-keystoneauth1 (>= 2.18.0),
                     python-mock (>= 2.0),
                     python-openstackclient (>= 2.1.0),
                     python-openstacksdk (>= 0.9.10),
                     python-osc-lib (>= 1.2.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1:1.10.0),
                     python-prettytable,
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.1),
                     python-six (>= 1.9.0),
                     python-sphinx (>= 1.2.1),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-yaml,
                     python3-babel (>= 2.3.4),
                     python3-coverage (>= 4.0),
                     python3-fixtures (>= 3.0.0),
                     python3-hacking (>= 0.10.0),
                     python3-heatclient (>= 1.6.1),
                     python3-keystoneauth1 (>= 2.18.0),
                     python3-mock (>= 2.0),
                     python3-openstackclient (>= 2.1.0),
                     python3-openstacksdk (>= 0.9.10),
                     python3-osc-lib (>= 1.2.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.18.0),
                     python3-oslosphinx (>= 4.7.0),
                     python3-oslotest (>= 1:1.10.0),
                     python3-prettytable,
                     python3-requests (>= 2.10.0),
                     python3-requests-mock (>= 1.1),
                     python3-six (>= 1.9.0),
                     python3-sphinx (>= 1.2.1),
                     python3-subunit,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     python3-yaml,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-senlinclient.git/?h=debian%2Focata
Vcs-Git: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-senlinclient.git -b debian/ocata
Homepage: https://github.com/openstack/python-senlinclient

Package: python-senlinclient
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-heatclient (>= 1.6.1),
         python-keystoneauth1 (>= 2.18.0),
         python-openstackclient (>= 2.1.0),
         python-openstacksdk (>= 0.9.10),
         python-osc-lib (>= 1.2.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-pbr (>= 1.8),
         python-prettytable,
         python-requests (>= 2.10.0),
         python-six (>= 1.9.0),
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-senlinclient-doc,
Description: OpenStack Clustering API Client Library - Python 2.7
 This is a client library for Senlin built on the Senlin clustering API. It
 provides a Python API (the senlinclient module) and a command-line tool
 (senlin).
 .
 This package contains the Python 2.7 module.

Package: python3-senlinclient
Architecture: all
Depends: python3-babel (>= 2.3.4),
         python3-heatclient (>= 1.6.1),
         python3-keystoneauth1 (>= 2.18.0),
         python3-openstackclient (>= 2.1.0),
         python3-openstacksdk (>= 0.9.10),
         python3-osc-lib (>= 1.2.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.18.0),
         python3-pbr (>= 1.8),
         python3-prettytable,
         python3-requests (>= 2.10.0),
         python3-six (>= 1.9.0),
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-senlinclient-doc,
Description: OpenStack Clustering API Client Library - Python 3.x
 This is a client library for Senlin built on the Senlin clustering API. It
 provides a Python API (the senlinclient module) and a command-line tool
 (senlin).
 .
 This package contains the Python 3.x module.

Package: python-senlinclient-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack Clustering API Client Library - doc
 This is a client library for Senlin built on the Senlin clustering API. It
 provides a Python API (the senlinclient module) and a command-line tool
 (senlin).
 .
 This package contains the documentation.

## python-senlinclient 1.4.0

=== debian/changelog ===
python-senlinclient (1.4.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 16 Aug 2017 14:50:17 +0000

python-senlinclient (1.4.0-0ubuntu1) artful; urgency=medium

  * d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 10:03:49 -0400

python-senlinclient (1.3.0-0ubuntu1) artful; urgency=medium

  * d/watch: Use pypi.debian.net.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:27:03 +0100

python-senlinclient (1.2.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 26 Jan 2017 09:42:05 -0500

python-senlinclient (1.1.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Dec 2016 09:08:11 -0500

python-senlinclient (1.0.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Sep 2016 12:48:56 -0400

=== debian/control ===
Source: python-senlinclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           David Della Vecchia <ddv@canonical.com>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx (>= 1.5.1),
               python3-all,
               python3-pbr (>= 2.0.0),
               python3-setuptools,
Build-Depends-Indep: git,
                     python-babel (>= 2.3.4),
                     python-coverage (>= 4.0),
                     python-fixtures (>= 3.0.0),
                     python-hacking (>= 0.10.0),
                     python-heatclient (>= 1.6.1),
                     python-keystoneauth1 (>= 3.0.1),
                     python-mock (>= 2.0),
                     python-openstackdocstheme (>= 1.11.0),
                     python-openstacksdk (>= 0.9.17),
                     python-osc-lib (>= 1.7.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslotest (>= 1.10.0),
                     python-prettytable (>= 0.7.1),
                     python-requests (>= 2.14.2),
                     python-requests-mock (>= 1.1),
                     python-six (>= 1.9.0),
                     python-testrepository (>= 0.0.18),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-yaml (>= 3.10.0),
                     python3-babel (>= 2.3.4),
                     python3-coverage (>= 4.0),
                     python3-fixtures (>= 3.0.0),
                     python3-hacking (>= 0.10.0),
                     python3-heatclient (>= 1.6.1),
                     python3-keystoneauth1 (>= 3.0.1),
                     python3-mock (>= 2.0),
                     python3-openstackdocstheme (>= 1.11.0),
                     python3-openstacksdk (>= 0.9.17),
                     python3-osc-lib (>= 1.7.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.20.0),
                     python3-oslotest (>= 1.10.0),
                     python3-prettytable (>= 0.7.1),
                     python3-requests (>= 2.14.2),
                     python3-requests-mock (>= 1.1),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-testrepository (>= 0.0.18),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     python3-yaml (>= 3.10.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-senlinclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-senlinclient
Homepage: https://github.com/openstack/python-senlinclient

Package: python-senlinclient
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-heatclient (>= 1.6.1),
         python-keystoneauth1 (>= 3.0.1),
         python-openstacksdk (>= 0.9.17),
         python-osc-lib (>= 1.7.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.20.0),
         python-pbr (>= 2.0.0),
         python-prettytable,
         python-requests (>= 2.14.2),
         python-six (>= 1.9.0),
         python-yaml,
         ${misc:Depends},
         ${python:Depends}
Suggests: python-senlinclient-doc,
Description: OpenStack Clustering API Client Library - Python 2.7
 This is a client library for Senlin built on the Senlin clustering API. It
 provides a Python API (the senlinclient module) and a command-line tool
 (senlin).
 .
 This package contains the Python 2.7 module.

Package: python3-senlinclient
Architecture: all
Depends: python3-babel (>= 2.3.4),
         python3-heatclient (>= 1.6.1),
         python3-keystoneauth1 (>= 3.0.1),
         python3-openstacksdk (>= 0.9.17),
         python3-osc-lib (>= 1.7.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.20.0),
         python3-pbr (>= 2.0.0),
         python3-prettytable,
         python3-requests (>= 2.14.2),
         python3-six (>= 1.9.0),
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-senlinclient-doc,
Description: OpenStack Clustering API Client Library - Python 3.x
 This is a client library for Senlin built on the Senlin clustering API. It
 provides a Python API (the senlinclient module) and a command-line tool
 (senlin).
 .
 This package contains the Python 3.x module.

Package: python-senlinclient-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack Clustering API Client Library - doc
 This is a client library for Senlin built on the Senlin clustering API. It
 provides a Python API (the senlinclient module) and a command-line tool
 (senlin).
 .
 This package contains the documentation.

## python-senlinclient 1.7.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel!=2.4.0,>=2.3.4 # BSD
pbr!=2.1.0,>=2.0.0 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
keystoneauth1>=3.3.0 # Apache-2.0
openstacksdk>=0.9.19 # Apache-2.0
osc-lib>=1.8.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
PyYAML>=3.10 # MIT
requests>=2.14.2 # Apache-2.0
six>=1.10.0 # MIT

=== debian/changelog ===
python-senlinclient (1.7.0-0ubuntu2) bionic; urgency=medium

  * d/python{3}-senlin.p*: Drop management of senlin binary as its
    no longer shipped (use osc instead).

 -- James Page <james.page@ubuntu.com>  Wed, 14 Feb 2018 12:14:23 +0000

python-senlinclient (1.7.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Feb 2018 08:41:45 -0500

python-senlinclient (1.5.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Jan 2018 08:38:40 -0500

=== debian/control ===
Source: python-senlinclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 git,
 python-babel (>= 2.3.4),
 python-coverage (>= 4.0),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.12.0),
 python-heatclient (>= 1.10.0),
 python-keystoneauth1 (>= 3.3.0),
 python-mock (>= 2.0.0),
 python-openstackclient (>= 3.12.0),
 python-openstackdocstheme (>= 1.18.1),
 python-openstacksdk (>= 0.9.19),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-prettytable (>= 0.7.1),
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.1.0),
 python-six (>= 1.10.0),
 python-tempest (>= 1:17.1.0),
 python-testrepository (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-yaml (>= 3.10),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-heatclient (>= 1.10.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-mock (>= 2.0.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-openstacksdk (>= 0.9.19),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-prettytable (>= 0.7.1),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.1.0),
 python3-six (>= 1.10.0),
 python3-subunit,
 python3-tempest (>= 1:17.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-yaml (>= 3.10),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-senlinclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-senlinclient
Homepage: https://github.com/openstack/python-senlinclient

Package: python-senlinclient
Architecture: all
Depends:
 python-babel (>= 2.3.4),
 python-heatclient (>= 1.10.0),
 python-keystoneauth1 (>= 3.3.0),
 python-openstacksdk (>= 0.9.19),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-prettytable (>= 0.7.1),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 python-yaml (>= 3.10),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-senlinclient-doc,
Description: OpenStack Clustering API Client Library - Python 2.7
 This is a client library for Senlin built on the Senlin clustering API. It
 provides a Python API (the senlinclient module) and a command-line tool
 (senlin).
 .
 This package contains the Python 2.7 module.

Package: python-senlinclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Clustering API Client Library - doc
 This is a client library for Senlin built on the Senlin clustering API. It
 provides a Python API (the senlinclient module) and a command-line tool
 (senlin).
 .
 This package contains the documentation.

Package: python3-senlinclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-heatclient (>= 1.10.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-openstacksdk (>= 0.9.19),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.1),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-yaml (>= 3.10),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-senlinclient-doc,
Description: OpenStack Clustering API Client Library - Python 3.x
 This is a client library for Senlin built on the Senlin clustering API. It
 provides a Python API (the senlinclient module) and a command-line tool
 (senlin).
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,6 @@
 #!/usr/bin/make -f
 
 include /usr/share/openstack-pkg-tools/pkgos.make
-
-export RES_OPTIONS=attempts:0
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

## python-senlinclient 1.8.0

=== requirements.txt ===
--- 
+++ 
@@ -4,14 +4,14 @@
 
 Babel!=2.4.0,>=2.3.4 # BSD
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-PrettyTable<0.8,>=0.7.1 # BSD
-keystoneauth1>=3.3.0 # Apache-2.0
-openstacksdk>=0.9.19 # Apache-2.0
+PrettyTable<0.8,>=0.7.2 # BSD
+keystoneauth1>=3.4.0 # Apache-2.0
+openstacksdk>=0.11.2 # Apache-2.0
 osc-lib>=1.8.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 python-heatclient>=1.10.0 # Apache-2.0
-PyYAML>=3.10 # MIT
+PyYAML>=3.12 # MIT
 requests>=2.14.2 # Apache-2.0
 six>=1.10.0 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.18.1 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-senlinclient (1.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 22:43:38 +0200

python-senlinclient (1.8.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Bumped Standards-Version: to 4.2.0 (no change).
  * Building doc with Python 3.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Aug 2018 13:45:22 +0200

python-senlinclient (1.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:56:07 +0000

python-senlinclient (1.7.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed .postinst, since /usr/bin/senlin doesn't exist anymore.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Feb 2018 21:49:07 +0000

python-senlinclient (1.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 00:40:47 +0000

python-senlinclient (1.4.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT with default value
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{install,test}.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2017 11:55:16 +0200

=== debian/control ===
Source: python-senlinclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 git,
 python-babel,
 python-coverage,
 python-fixtures,
 python-hacking,
 python-heatclient (>= 1.10.0),
 python-keystoneauth1 (>= 3.4.0),
 python-mock,
 python-mox3 (>= 0.7.0),
 python-openstackclient (>= 3.12.0),
 python-openstacksdk (>= 0.11.2),
 python-osc-lib (>= 1.11.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-prettytable,
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.2.0),
 python-six,
 python-stestr (>= 2.0.0),
 python-tempest (>= 1:17.1.0),
 python-testscenarios,
 python-testtools (>= 2.2.0),
 python-yaml,
 python3-babel,
 python3-fixtures,
 python3-heatclient (>= 1.10.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock,
 python3-mox3 (>= 0.7.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
 python3-openstacksdk (>= 0.11.2),
 python3-osc-lib (>= 1.11.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-prettytable,
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six,
 python3-stestr (>= 2.0.0),
 python3-subunit,
 python3-tempest (>= 1:17.1.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-yaml,
 subunit,
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-senlinclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-senlinclient.git
Homepage: https://github.com/openstack/python-senlinclient

Package: python-senlinclient
Architecture: all
Depends:
 python-babel,
 python-heatclient (>= 1.10.0),
 python-keystoneauth1 (>= 3.4.0),
 python-openstacksdk (>= 0.11.2),
 python-osc-lib (>= 1.11.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-prettytable,
 python-requests (>= 2.14.2),
 python-six,
 python-yaml,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-senlinclient-doc,
Description: OpenStack Clustering API Client Library - Python 2.7
 This is a client library for Senlin built on the Senlin clustering API. It
 provides a Python API (the senlinclient module) and a command-line tool
 (senlin).
 .
 This package contains the Python 2.7 module.

Package: python-senlinclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Clustering API Client Library - doc
 This is a client library for Senlin built on the Senlin clustering API. It
 provides a Python API (the senlinclient module) and a command-line tool
 (senlin).
 .
 This package contains the documentation.

Package: python3-senlinclient
Architecture: all
Depends:
 python3-babel,
 python3-heatclient (>= 1.10.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-openstacksdk (>= 0.11.2),
 python3-osc-lib (>= 1.11.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable,
 python3-requests (>= 2.14.2),
 python3-six,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-senlinclient-doc,
Description: OpenStack Clustering API Client Library - Python 3.x
 This is a client library for Senlin built on the Senlin clustering API. It
 provides a Python API (the senlinclient module) and a command-line tool
 (senlin).
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	sphinx-build -b html doc/source debian/python-senlinclient-doc/usr/share/doc/python-senlinclient-doc/html
+	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-senlinclient-doc/usr/share/doc/python-senlinclient-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif

## python-senlinclient 1.9.0

=== debian/changelog ===
python-senlinclient (1.9.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Nov 2018 14:47:07 -0500

python-senlinclient (1.7.0-2ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Bump debhelper compat to 10.
    - d/control: Update Standards-Version to 4.1.2.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Get tarball from pypi.debian.net.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 15 Jun 2018 10:02:46 -0400

=== debian/control ===
Source: python-senlinclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 git,
 python-babel (>= 2.3.4),
 python-coverage (>= 4.0),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.12.0),
 python-heatclient (>= 1.10.0),
 python-keystoneauth1 (>= 3.4.0),
 python-mock (>= 2.0.0),
 python-mox3 (>= 0.7.0),
 python-openstackclient (>= 3.12.0),
 python-openstacksdk (>= 0.12.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-prettytable (>= 0.7.2),
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.2.0),
 python-six (>= 1.10.0),
 python-stestr,
 python-tempest (>= 1:17.1.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-yaml (>= 3.12),
 python3-babel (>= 2.3.4),
 python3-fixtures (>= 3.0.0),
 python3-heatclient (>= 1.10.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.7.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-openstacksdk (>= 0.12.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-prettytable (>= 0.7.2),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-stestr,
 python3-subunit,
 python3-tempest (>= 1:17.1.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-yaml (>= 3.12),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-senlinclient
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-senlinclient
Homepage: https://github.com/openstack/python-senlinclient
Testsuite: autopkgtest-pkg-python

Package: python-senlinclient
Architecture: all
Depends:
 python-babel (>= 2.3.4),
 python-heatclient (>= 1.10.0),
 python-keystoneauth1 (>= 3.4.0),
 python-openstacksdk (>= 0.12.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-prettytable (>= 0.7.2),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 python-yaml (>= 3.12),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-senlinclient-doc,
Description: OpenStack Clustering API Client Library - Python 2.7
 This is a client library for Senlin built on the Senlin clustering API. It
 provides a Python API (the senlinclient module) and a command-line tool
 (senlin).
 .
 This package contains the Python 2.7 module.

Package: python-senlinclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Clustering API Client Library - doc
 This is a client library for Senlin built on the Senlin clustering API. It
 provides a Python API (the senlinclient module) and a command-line tool
 (senlin).
 .
 This package contains the documentation.

Package: python3-senlinclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-heatclient (>= 1.10.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-openstacksdk (>= 0.12.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.2),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-senlinclient-doc,
Description: OpenStack Clustering API Client Library - Python 3.x
 This is a client library for Senlin built on the Senlin clustering API. It
 provides a Python API (the senlinclient module) and a command-line tool
 (senlin).
 .
 This package contains the Python 3.x module.
